OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000799OMNeT++simulation kernelpublic2014-12-12 16:102015-03-04 09:52
Reporterandras 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.6 
Target VersionFixed in Version5.0b1 
Summary0000799: @statistic: scalars computed from several signals are recorded in as many copies in the scalar file
DescriptionScalar recording via @statistic: when the expression uses multiple signals, there will be multiple copies in the scalar file.

An example NED file:

simple Sink
{
    parameters:
        @signal[a](type=double);
        @signal[b](type=double);
        @statistic[aplusb](source=a+b; record=last);
}

TagsNo tags attached.
Attached Filespatch file icon omnetpp-46-fix799.patch [^] (6,203 bytes) 2014-12-12 17:10 [Show Content]

- Relationships

-  Notes
(0000964)
andras (administrator)
2014-12-12 16:13

Cause: results are recorded by going through the signal list of each module, and invoking finish() for the result listeners attached to them. Thus, result recorders will output an entry into the .sca file for each signal that occurs in the expression.
(0000965)
andras (administrator)
2014-12-12 16:19

Fixed by adding a finishCalled flag to cResultRecorder. finish() needed to be wrapped into a callFinish() so we do the flag handling in cResultRecorder (and not in each concrete result recorder class).

- Issue History
Date Modified Username Field Change
2014-12-12 16:10 andras New Issue
2014-12-12 16:13 andras Note Added: 0000964
2014-12-12 16:19 andras Note Added: 0000965
2014-12-12 16:19 andras Status new => resolved
2014-12-12 16:19 andras Fixed in Version => 4.7
2014-12-12 16:19 andras Resolution open => fixed
2014-12-12 16:19 andras Assigned To => andras
2014-12-12 17:10 andras File Added: omnetpp-46-fix799.patch
2015-03-04 09:52 rhornig Fixed in Version 4.7 => 5.0b1
2015-10-12 09:28 ammmar1988 Issue cloned: 0000863


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker